package cz.muni.fi.pa165.service;

import cz.muni.fi.pa165.model.ProposalDTO;

import java.util.List;

public interface ProposalService {
    ProposalDTO getProposalById(long id);
    List<ProposalDTO> getProposalsByUserId(long userId);
    ProposalDTO createProposal(ProposalDTO proposalDTO);
    ProposalDTO updateProposal(ProposalDTO proposalDTO);
    void removeProposalById(long id);
    void resolveProposal(long id);

}
